com.sun.jna.platform.win32

## Class WinCrypt.CERT_SIMPLE_CHAIN

- java.lang.Object
- - com.sun.jna.Structure
  - - com.sun.jna.platform.win32.WinCrypt.CERT_SIMPLE_CHAIN

Direct Known Subclasses:
  WinCrypt.CERT_SIMPLE_CHAIN.ByReference

Enclosing interface:
  WinCrypt

    @Structure.FieldOrder(value={"cbSize","TrustStatus","cElement","rgpElement","pTrustListInfo","fHasRevocationFreshnessTime","dwRevocationFreshnessTime"})
    public static class WinCrypt.CERT_SIMPLE_CHAIN
    extends Structure

The CERT_SIMPLE_CHAIN structure contains an array of chain elements and a summary trust status for the chain that the array represents.

See Also:
  MSDN

### Nested Class Summary

Nested Classes
`static class` `WinCrypt.CERT_SIMPLE_CHAIN.ByReference`

### Nested classes/interfaces inherited from class com.sun.jna.Structure

`Structure.ByValue, Structure.FieldOrder, Structure.StructField`

### Field Summary

Fields
`int` `cbSize`
`int` `cElement`
`int` `dwRevocationFreshnessTime`
`boolean` `fHasRevocationFreshnessTime`
`WinCrypt.CERT_TRUST_LIST_INFO.ByReference` `pTrustListInfo`
`Pointer` `rgpElement`
`WinCrypt.CERT_TRUST_STATUS` `TrustStatus`

### Fields inherited from class com.sun.jna.Structure

`ALIGN_DEFAULT, ALIGN_GNUC, ALIGN_MSVC, ALIGN_NONE, CALCULATE_SIZE`

### Constructor Summary

Constructors
Constructor and Description
`CERT_SIMPLE_CHAIN()`

### Method Summary

All Methods Instance Methods Concrete Methods
`WinCrypt.CERT_CHAIN_ELEMENT[]` `getRgpElement()`

### Methods inherited from class com.sun.jna.Structure

`allocateMemory, allocateMemory, autoAllocate, autoRead, autoRead, autoWrite, autoWrite, cacheTypeInfo, calculateSize, clear, createFieldsOrder, createFieldsOrder, createFieldsOrder, createFieldsOrder, dataEquals, dataEquals, ensureAllocated, equals, fieldOffset, getAutoRead, getAutoWrite, getFieldList, getFieldOrder, getFields, getNativeAlignment, getNativeSize, getNativeSize, getPointer, getStringEncoding, getStructAlignment, hashCode, newInstance, newInstance, read, readField, readField, setAlignType, setAutoRead, setAutoSynch, setAutoWrite, setStringEncoding, size, sortFields, toArray, toArray, toString, toString, useMemory, useMemory, write, writeField, writeField, writeField`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Field Detail

#### cbSize

    public int cbSize

#### TrustStatus

    public WinCrypt.CERT_TRUST_STATUS TrustStatus

#### cElement

    public int cElement

#### rgpElement

    public Pointer rgpElement

#### pTrustListInfo

    public WinCrypt.CERT_TRUST_LIST_INFO.ByReference pTrustListInfo

#### fHasRevocationFreshnessTime

    public boolean fHasRevocationFreshnessTime

#### dwRevocationFreshnessTime

    public int dwRevocationFreshnessTime

### Constructor Detail

#### CERT_SIMPLE_CHAIN

    public CERT_SIMPLE_CHAIN()

### Method Detail

#### getRgpElement

    public WinCrypt.CERT_CHAIN_ELEMENT[] getRgpElement()

Copyright © 2007-2018 Timothy Wall. All Rights Reserved.